XIM Community

Android Location service required for bluetooth  (Read 734 times)

Offline hufnagel

  • Member
  • *
  • Posts: 5
    • View Profile
Android Location service required for bluetooth
« on: 03:13 PM - 07/30/19 »
So I'm new to the beta software but I see that we now must turn on location services for bluetooth to connect.   I read in some beta threads that is a new requirement from Google which seems to be more an enforced policy rather than a technical requirement.

How is it that Google can enforce this on new software, but old software can still connect Bluetooth without location services?   Is it just the playstore validation process that is enforcing the policy?  If so, could xim not make an apk that "disobeys" for sideload installation?

Offline OBsIV

  • Administrator
  • MVP
  • *
  • Posts: 38085
  • It's obsessive.
    • View Profile
    • OBsIV's Blog
Re: Android Location service required for bluetooth
« Reply #1 on: 03:51 PM - 07/30/19 »
Yes this is a new requirement for any app uploaded to their store now.
Get the most out of your XIM APEX, read the XIM APEX Support FAQ.

Offline hufnagel

  • Member
  • *
  • Posts: 5
    • View Profile
Re: Android Location service required for bluetooth
« Reply #2 on: 08:02 PM - 07/30/19 »
Have you considered a fork that doesn't include that requirement, and only offer the apk on your website?

Offline BlueAid

  • Member
  • *
  • Posts: 359
    • View Profile
Re: Android Location service required for bluetooth
« Reply #3 on: 08:13 PM - 07/30/19 »
Have you considered a fork that doesn't include that requirement, and only offer the apk on your website?

I imagine he wants the XIM to remain as plug and play as possible. Requiring casual users to enable "untrusted" APKs on their phones would be off-putting.
CM MasterKeys Pro M White | Logitech G203 | Steelseries QcK Heavy

Future PS5 Owner | PS4 Pro | Xbox One S | PS3 | Xbox 360

XIM APEX | XIM 4 | XIM Edge

Top 500 Overwatch | Apex Predator | Praying Cold War makes COD fun again

Offline hufnagel

  • Member
  • *
  • Posts: 5
    • View Profile
Re: Android Location service required for bluetooth
« Reply #4 on: 06:49 AM - 07/31/19 »
Have you considered a fork that doesn't include that requirement, and only offer the apk on your website?

I imagine he wants the XIM to remain as plug and play as possible. Requiring casual users to enable "untrusted" APKs on their phones would be off-putting.

This would be an optional fork for the non-casuals.   The official release could remain on the store with the location service requirement.


Admin